Forum Stats

  • 3,770,480 Users
  • 2,253,121 Discussions
  • 7,875,481 Comments

Discussions

Connection from 12c to 9i

Nisarg Oza
Nisarg Oza Member Posts: 9
edited Jun 4, 2017 10:10PM in General Database Discussions

Hello ,

Recently I have upgraded one of my database from 9i to 12c.

I'm trying to connect oracle Oracle9i Release 9.2.0.4.0 - Production from 12c Release 12.1.0.1.0 - 64bit ,but I got message

ORA-03134: Connections to this server version are no longer supported

I can connect 9i to 12c by setting parameter in sqlnet.ora,  SQLNET.ALLOWED_LOGON_VERSION=8 , but I cannot connect 12c to 9i.

Any solution for 12c to 9i connection or any alternate solution will also appreciable.

Thanks ,

Nisarg,

Tagged:
John Thorton

Answers

  • AndrewSayer
    AndrewSayer Member Posts: 12,998 Gold Crown
    edited May 30, 2017 6:33AM
    Nisarg Oza wrote:Hello ,Recently I have upgraded one of my database from 9i to 12c.I'm trying to connect oracle Oracle9i Release 9.2.0.4.0 - Production from 12c Release 12.1.0.1.0 - 64bit ,but I got message ORA-03134: Connections to this server version are no longer supportedI can connect 9i to 12c by setting parameter in sqlnet.ora, SQLNET.ALLOWED_LOGON_VERSION=8 , but I cannot connect 12c to 9i.Any solution for 12c to 9i connection or any alternate solution will also appreciable.Thanks ,Nisarg, 

    Why do you need to?


    You could be using the 12c client to connect to your 12c database.

  • PKR
    PKR Member Posts: 423 Silver Badge
    edited May 30, 2017 9:30AM

    Hi

    The SQLNET.ALLOWED_LOGON_VERSION parameter is deprecated in Oracle Database 12c.It has been replaced with two new Oracle Net Services parameters are

    --for database

    SQLNET.ALLOWED_LOGON_VERSION_SERVER = n

    --Client

    SQLNET.ALLOWED_LOGON_VERSION_CLIENT = n

    try with 'n' value 11 or 12

    John Thorton
  • Unknown
    edited May 30, 2017 1:36PM
    Recently I have upgraded one of my database from 9i to 12c.

    Great!

    Any solution for 12c to 9i connection or any alternate solution will also appreciable.

    Now upgrade the other ones and your problem goes away.

    Or use version appropriate client software to connect to 9i. But forget about direct 12c to 9i db links or other connectivity. As the exception says that isn't supported.

  • Oratig-Oracle
    Oratig-Oracle Member Posts: 1,433 Silver Trophy
    edited May 31, 2017 12:10AM

    I suggest you to check Doc ID 207303.1 to know the Client / Server Interoperability Support

  • Oratig-Oracle
    Oratig-Oracle Member Posts: 1,433 Silver Trophy
    edited May 31, 2017 12:11AM

    12.c client cannot connect to 9i database

  • Nisarg Oza
    Nisarg Oza Member Posts: 9
    edited Jun 3, 2017 6:39AM

    I have set both 11 and 12 in SQLNET.ALLOWED_LOGON_VERSION_SERVER,  but still I cannot connect 12c to 9i.

  • Unknown
    edited Jun 3, 2017 1:21PM
    I have set both 11 and 12 in SQLNET.ALLOWED_LOGON_VERSION_SERVER, but still I cannot connect 12c to 9i.

    Correct - and you have already been told that several times.

  • Oratig-Oracle
    Oratig-Oracle Member Posts: 1,433 Silver Trophy
    edited Jun 4, 2017 10:10PM

    You are trying to do something which oracle already explained in the document that it will not work..

    if you make some changed and if you bring that as working, still it is not supported one

This discussion has been closed.